<?php declare(strict_types=1);

namespace nogueiracodes\RaspberryBot\Bot\Commands;

use Exception;
use nogueiracodes\RaspberryBot\Bot\Helpers\CatAPI;
use nogueiracodes\RaspberryBot\Core\Interfaces\Command;
use nogueiracodes\RaspberryBot\Traits\HasSignature;

class Gimme implements Command
{
    use HasSignature;

    public $signature = "gimme {what: What to give you. Can be a cat pic!} {quantity: How many cat pictures do you want?}";


    private $cats;


    public function __construct()
    {
        $this->cats = new CatAPI();
    }

    public function run(array $parameters)
    {
        if ($parameters['quantity'] > 25)
        {
            throw new Exception('Sorry, but I can\'t send you more than 25 cat pictures at a time. What a cat lover!');   
        }

        switch($parameters['what']) {

            case "cat":
                
                
                try 
                {
                    // Many pictures will return a list of pictures, separated by new lines
                    return $this->cats->getCatPicture($parameters['quantity'], "small");
                } 
                catch (Exception $ex)
                {
                    throw $ex; // Let the bot handle this. It sends error messages as responses to keep things clean.
                }

                break;
            default:
            
                throw new Exception("Uh oh. I don\'t know what you mean by " . $parameters['what'] . " Maybe try ? help?");

            break;

        }
    }
}